﻿using ProjectSession.Forms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Unity;

namespace ProjectSession;

public partial class FormSessionResults : Form
{
    private readonly IUnityContainer _container;

    public FormSessionResults(IUnityContainer container)
    {
        InitializeComponent();
        _container = container ?? throw new ArgumentNullException(nameof(container));
    }

    private void StudentsToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<StudentsList>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при загрузке", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void GroupsToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<GroupsListForm>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при загрузке", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void TeachersToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<TeachersList>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при загрузке", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void DisciplinesToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<DisciplineListForm>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при загрузке", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void AddMarksToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<AddMarkListForm>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при загрузке", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void FormSessionResults_Load(object sender, EventArgs e)
    {

    }
}
