﻿using ProjectSession.Repositories;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Unity;

namespace ProjectSession.Forms;

public partial class AddMarkListForm : Form
{
    private readonly IUnityContainer _container;
    private readonly IAddMarkRepository _addMarkRepository;

    public AddMarkListForm(IUnityContainer container, IAddMarkRepository addMarkRepository)
    {
        InitializeComponent();
        _container = container ?? throw new ArgumentNullException(nameof(container));
        _addMarkRepository = addMarkRepository ?? throw new ArgumentNullException(nameof(addMarkRepository));
    }

    private void AddMarkListForm_Load(object sender, EventArgs e)
    {
        try
        {
            LoadList();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при загрузке", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void ButtonAdd_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<AddMarkForm>().ShowDialog();
            LoadList();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при добавлении", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void LoadList() => dataGridViewData.DataSource = _addMarkRepository.GetAllMarks();

}
