﻿using ProjectSession.Repositories.Implementations;
using ProjectSession.Repositories;
using Unity.Lifetime;
using Unity;
using System.ComponentModel;

namespace ProjectSession
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            Application.Run(CreateContainer().Resolve<FormSessionResults>());
        }

        private static IUnityContainer CreateContainer()
        {
            var container = new UnityContainer();

            // Ðåãèñòðàöèÿ ðåïîçèòîðèåâ
            container.RegisterType<IStudentRepository, StudentRepository>(new TransientLifetimeManager());
            container.RegisterType<IGroupRepository, GroupRepository>(new TransientLifetimeManager());
            container.RegisterType<ITeacherRepository, TeacherRepository>(new TransientLifetimeManager());
            container.RegisterType<IDisciplineRepository, DisciplineRepository>(new TransientLifetimeManager());
            container.RegisterType<IAddMarkRepository, AddMarkRepository>(new TransientLifetimeManager());

            return container;
        }
    }
}